Loading...
Searching...
No Matches
meas_rep.h File Reference
`#include <stdint.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Data Structures

struct | gsm_rx_lev_qual
struct | gsm_meas_rep_unidir

## Enumerations

enum | meas_rep_field { MEAS_REP_DL_RXLEV_FULL , MEAS_REP_DL_RXLEV_SUB , MEAS_REP_DL_RXQUAL_FULL , MEAS_REP_DL_RXQUAL_SUB , MEAS_REP_UL_RXLEV_FULL , MEAS_REP_UL_RXLEV_SUB , MEAS_REP_UL_RXQUAL_FULL , MEAS_REP_UL_RXQUAL_SUB }

## Functions

size_t | gsm0858_rsl_ul_meas_enc (const struct gsm_meas_rep_unidir *mru, bool dtxd_used, uint8_t *buf)
| Build the RSL uplink measurement IE (3GPP TS 08.58 § 9.3.25).

## Enumeration Type Documentation

## meas_rep_field

enum meas_rep_field

Enumerator
MEAS_REP_DL_RXLEV_FULL |
MEAS_REP_DL_RXLEV_SUB |
MEAS_REP_DL_RXQUAL_FULL |
MEAS_REP_DL_RXQUAL_SUB |
MEAS_REP_UL_RXLEV_FULL |
MEAS_REP_UL_RXLEV_SUB |
MEAS_REP_UL_RXQUAL_FULL |
MEAS_REP_UL_RXQUAL_SUB |

## Function Documentation

## gsm0858_rsl_ul_meas_enc()

size_t gsm0858_rsl_ul_meas_enc | ( | const struct gsm_meas_rep_unidir * | mru,
|  | bool | dtxd_used,
|  | uint8_t * | buf )

Build the RSL uplink measurement IE (3GPP TS 08.58 § 9.3.25).

Parameters

  [in] | mru | Unidirectional measurement report structure
  [in] | dtxd_used | Indicates if DTXd was used during measurement report period
  [out] | buf | Pre-allocated bufer for storing IE

Returns
  Number of bytes filled in buf

References gsm_meas_rep_unidir::full, gsm_rx_lev_qual::rx_lev, gsm_rx_lev_qual::rx_qual, and gsm_meas_rep_unidir::sub.